{{/*
 * Copyright (C) 2015 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */}}

{{Include "opengl32_exports.tmpl"}}
{{Include "cpp_common.tmpl"}}
{{$ | Macro "opengl32_exports.def" | Reflow 2 | Write "opengl32_exports.def"}}

{{/*
-------------------------------------------------------------------------------
  Emits a MSVC module-definition file (.def) to export all of the OpenGL32.dll
  functions.
-------------------------------------------------------------------------------
*/}}
{{define "opengl32_exports.def"}}
  {{AssertType $ "API"}}

  {{/* This is the list of functions that OpenGL32.dll needs to export. */}}
  {{$opengl32_exports := Strings (Macro "OpenGL32Exports") | SplitOn "\n"}}

  {{/* This is the list of functions that the spy exports. */}}
  {{$api_exports := (ForEach (AllCommands $) "CmdName") | Strings "wglGetProcAddress"}}

  {{/* This is list of functions we need to export. */}}
  {{$exports := $opengl32_exports | FilterOut $api_exports}}

LIBRARY
EXPORTS»
  {{range $f := $exports}}
    {{$f}}
  {{end}}
«
{{end}}